package com.nisum.ascend.promotions.repository;


import com.nisum.ascend.promotions.model.Promotion;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Flux;

@Repository
public interface PromotionRepository extends ReactiveMongoRepository<Promotion, String> {
    Flux<Promotion> findByProductSku(String sku);
}
